com.hazelcast.config

## Class MemberGroupConfig

- java.lang.Object
- - com.hazelcast.config.MemberGroupConfig

-     public class MemberGroupConfig
      extends Object

  Contains the configuration for a single member group.

  See the `PartitionGroupConfig` for more information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberGroupConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberGroupConfig` | `addInterface(String ip)` Adds an interface to the member group.
    `MemberGroupConfig` | `clear()` Removes all interfaces from the member group.
    `boolean` | `equals(Object o)`
    `Collection<String>` | `getInterfaces()` Gets an unmodifiable collection containing all interfaces.
    `int` | `hashCode()`
    `MemberGroupConfig` | `setInterfaces(Collection<String> interfaces)` Sets the interfaces that are part of a group.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberGroupConfig

          public MemberGroupConfig()

  - ### Method Detail

    - #### addInterface

          public MemberGroupConfig addInterface(String ip)

      Adds an interface to the member group. Duplicate elements are ignored.
      Parameters:
        `ip` - the IP address of the interface
      Returns:
        the updated MemberGroupConfig
      Throws:
        `IllegalArgumentException` - if IP is `null` or empty
      See Also:
        `getInterfaces()`, `clear()`

    - #### clear

          public MemberGroupConfig clear()

      Removes all interfaces from the member group.

      If no members are in the group, the call is ignored.

      Returns:
        the updated MemberGroupConfig

    - #### getInterfaces

          public Collection<String> getInterfaces()

      Gets an unmodifiable collection containing all interfaces.
      Returns:
        the unmodifiable collection containing all interfaces
      See Also:
        `setInterfaces(java.util.Collection)`

    - #### setInterfaces

          public MemberGroupConfig setInterfaces(Collection<String> interfaces)

      Sets the interfaces that are part of a group.

      If the interfaces is empty, it will have the same effect as calling `clear()`.

      Parameters:
        `interfaces` - the interfaces to set that are part of a group
      Returns:
        the updated MemberGroupConfig
      Throws:
        `IllegalArgumentException` - if interfaces is `null`
      See Also:
        `getInterfaces()`, `clear()`

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.